### Signal

# Gtk TextView::move-viewport

#### Declaration

    void
    move_viewport (
      GtkTextView* self,
      GtkScrollStep* step,
      gint count,
      gpointer user_data
    )

#### Description [src]

Gets emitted to move the viewport.

The ::move-viewport signal is a keybinding signal, which can be bound to key combinations to allow the user to move the viewport, i.e. change what part of the text view is visible in a containing scrolled window.

There are no default bindings for this signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`step`

  Type: `GtkScrollStep`

  The granularity of the movement, as a `GtkScrollStep`

  The data is owned by the caller of the function.

`count`

  Type: `gint`

  The number of `step` units to move.